1. Keys
Deepgram
  • Projects
    • Analyze Text
      POST
    • Get Projects
      GET
    • Update Project
      PATCH
    • Delete Project
      DELETE
  • Keys
    • Get Keys
      GET
    • Get Key
      GET
    • Create Key
      POST
    • Delete Key
      DELETE
  • Members
    • Get Members
      GET
    • Remove Member
      DELETE
  • Scopes
    • Get Member Scopes
      GET
    • Update Scope
      PUT
  • invitations
    • Get Invites
      GET
    • Send Invite
      POST
    • Delete Invite
      DELETE
    • Leave Project
      DELETE
  • Usage
    • Get All Requests
      GET
    • Get Request
      GET
    • Summarize Usage
      GET
    • Get Fields
      GET
  • Billing
    • Get Balances
      GET
    • Get Balance
      GET
  • Transcribe & Analyze - Local file
    POST
  • Transcribe & Analyze - Remote file
    POST
  • Transform Text-to-Speech - REST
    POST
  1. Keys

Create Key

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
POST
/v1/projects/{project_id}/keys
Creates a new key in the specified project

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dev.your-api-server.com/v1/projects//keys' \
--header 'content-type: application/json' \
--data-raw ''
Response Response Example
200 - Success
{
  "api_key_id": "b6c318f0-bc94-40b3-83a9-7f6898cd5500",
  "key": "1bc4a5e63f8425c9fd102539739923204243b9ce",
  "comment": "Test On-prem API Key with curl",
  "scopes": [
    "member",
    "onprem:product:api",
    "onprem:product:engine",
    "onprem:product:license-proxy"
  ],
  "created": "2023-06-27T16:59:46.572660Z"
}
Modified at 2024-07-29 06:09:19
Previous
Get Key
Next
Delete Key
Built with